#
# Copyright © 2012–2022 Michal Čihař <michal@cihar.com>
#
# This file is part of Weblate <https://weblate.org/>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#

"""Language data definitions.

This is an automatically generated file, see scripts/generate-language-data

Do not edit, please adjust language definitions in following repository:
https://github.com/WeblateOrg/language-data
"""
# pylint: disable=line-too-long,too-many-lines


# Language definitions
POPULATION = {
    "aa": 211966288,
    "ab": 9195285,
    "ace": 373836400,
    "ach": 160036100,
    "ada": 88020600,
    "ady": 44458361,
    "ae": 0,
    "af": 931884529,
    "afh": 0,
    "aii": 0,
    "ain": 0,
    "ajp": 0,
    "ak": 1144267800,
    "akk": 0,
    "ale": 0,
    "alt": 1984108,
    "am": 3572847533,
    "an": 2600821,
    "ang": 0,
    "anp": 0,
    "ar": 35166419568,
    "ar_BH": 130935000,
    "ar_DZ": 3179994600,
    "ar_EG": 9787656000,
    "ar_KW": 299371000,
    "ar_LY": 509899960,
    "ar_MA": 2204825400,
    "ar_SA": 3417350000,
    "ar_XB": 0,
    "ar_YE": 2211445600,
    "arc": 0,
    "arn": 27280200,
    "arp": 0,
    "ars": 102520500,
    "arw": 0,
    "as": 1723917000,
    "asa": 70263360,
    "ast": 65020540,
    "av": 55271580,
    "avk": 0,
    "awa": 2586292380,
    "ay": 283862000,
    "ayc": 0,
    "az": 969009150,
    "azb": 0,
    "ba": 184238600,
    "bal": 822788700,
    "ban": 480646800,
    "bar": 2204362650,
    "bas": 33294000,
    "be": 1006451741,
    "be_Latn": 0,
    "bej": 246032640,
    "bem": 540224600,
    "ber": 0,
    "bez": 99539760,
    "bg": 787831480,
    "bh": 0,
    "bho": 3293479710,
    "bi": 26849970,
    "bik": 327543000,
    "bin": 151959880,
    "bla": 490023,
    "bm": 899456400,
    "bn": 26719328846,
    "bn_BD": 15939798000,
    "bn_IN": 10741329000,
    "bnt": 0,
    "bo": 300669686,
    "bo_CN": 278804000,
    "bqi": 118892619,
    "br": 56314006,
    "bra": 5436969,
    "brx": 185652600,
    "bs": 379723410,
    "bs_Cyrl": 379723410,
    "bs_Latn": 0,
    "bua": 31178840,
    "bug": 429821115,
    "byn": 7905560,
    "ca": 867913888,
    "ca@valencia": 0,
    "ca_AD": 3927000,
    "cad": 0,
    "cak": 0,
    "car": 0,
    "ce": 93536520,
    "ceb": 2620344000,
    "cgg": 233566200,
    "ch": 4632464,
    "chb": 0,
    "chg": 0,
    "chk": 3073080,
    "chm": 52437140,
    "chn": 0,
    "cho": 1097708,
    "chp": 1281599,
    "chr": 2561320,
    "chy": 0,
    "ckb": 1108654870,
    "ckb_IQ": 777454000,
    "ckb_IR": 331200870,
    "cnr": 0,
    "cnr_Cyrl": 0,
    "co": 16283568,
    "cop": 0,
    "cpe": 0,
    "cpf": 0,
    "cpp": 0,
    "cr": 904658,
    "crh": 24596824,
    "crp": 0,
    "cs": 1304553200,
    "csb": 4976699,
    "cu": 0,
    "cv": 184238600,
    "cy": 88491050,
    "da": 707205623,
    "dak": 2083191,
    "dar": 36847720,
    "de": 13635022614,
    "de@formal": 0,
    "de@informal": 0,
    "de_1901": 0,
    "de_AT": 859366650,
    "de_CH": 613491270,
    "de_LU": 39588003,
    "del": 0,
    "den": 229934,
    "dgr": 211086,
    "din": 0,
    "doi": 265218000,
    "dry": 0,
    "dsb": 697389,
    "dua": 13317600,
    "dum": 0,
    "dv": 38804419,
    "dyu": 666732800,
    "dz": 37034164,
    "ee": 469085680,
    "efi": 299639200,
    "egy": 0,
    "eka": 0,
    "el": 1229224006,
    "elx": 0,
    "en": 163648503560,
    "en@pirate": 0,
    "en_AU": 2444784000,
    "en_CA": 3241692600,
    "en_GB": 6444587800,
    "en_IE": 507303860,
    "en_IN": 25195710000,
    "en_NZ": 482697040,
    "en_PH": 6987584000,
    "en_Shaw": 0,
    "en_Shaw_GB": 0,
    "en_Shaw_US": 0,
    "en_US": 31933344000,
    "en_XA": 0,
    "en_ZA": 1750371600,
    "en_devel": 0,
    "enm": 0,
    "eo": 30124,
    "es": 49352807851,
    "es_419": 0,
    "es_AR": 4547910000,
    "es_BO": 710033900,
    "es_CL": 1782306400,
    "es_CO": 4564886400,
    "es_CR": 484309050,
    "es_DO": 818976600,
    "es_EC": 1622870400,
    "es_MX": 10677950000,
    "es_NI": 483868320,
    "es_PA": 268691520,
    "es_PE": 2329795000,
    "es_PR": 277449090,
    "es_SV": 576817900,
    "es_US": 3193334400,
    "es_UY": 298109680,
    "es_VE": 2348857200,
    "et": 87844903,
    "eu": 108851866,
    "ewo": 86009500,
    "ext": 24507742,
    "fa": 8471045808,
    "fa_AF": 1832190000,
    "fan": 42645078,
    "fat": 0,
    "ff": 778890228,
    "fi": 573684164,
    "fil": 6747109530,
    "fj": 36502986,
    "fo": 7135035,
    "fon": 321615000,
    "fr": 27861150681,
    "fr@formal": 0,
    "fr@informal": 0,
    "fr_AG": 0,
    "fr_BE": 445386600,
    "fr_CA": 1130823000,
    "fr_CH": 176483790,
    "fr_LU": 54669147,
    "fr_SN": 613719600,
    "frc": 2794167,
    "frm": 0,
    "fro": 0,
    "frp": 6377730,
    "frr": 961916,
    "frs": 200399,
    "fur": 3744162,
    "fy": 74305720,
    "ga": 123748705,
    "gaa": 82152560,
    "gay": 32043120,
    "gba": 0,
    "gbm": 358044300,
    "gd": 7233721,
    "gez": 0,
    "gil": 6707760,
    "gl": 351552978,
    "glk": 390647179,
    "gmh": 0,
    "gn": 582710672,
    "goh": 0,
    "gon": 318261600,
    "gor": 109480660,
    "got": 0,
    "grb": 0,
    "grc": 0,
    "gsw": 795695167,
    "gu": 6172179875,
    "gu_IN": 5967405000,
    "guc": 13252896,
    "gug": 0,
    "gum": 0,
    "gun": 0,
    "guw": 0,
    "gv": 171948,
    "gwi": 30155,
    "ha": 3741264972,
    "hai": 0,
    "haw": 2960487,
    "he": 867548000,
    "he_IL": 867548000,
    "hi": 54555605414,
    "hi_Latn": 132609000,
    "hil": 917120400,
    "hit": 0,
    "hmn": 0,
    "hne": 1458699000,
    "ho": 15244866,
    "hr": 681316363,
    "hrx": 0,
    "hsb": 1282555,
    "ht": 896491800,
    "hu": 1244342978,
    "hup": 0,
    "hus": 0,
    "hy": 531727173,
    "hz": 23933637,
    "ia": 13569,
    "iba": 81630250,
    "id": 17120768720,
    "ie": 0,
    "ig": 2782364000,
    "ii": 836412000,
    "ik": 798333,
    "ilo": 1048137600,
    "inh": 22675520,
    "io": 0,
    "is": 35073400,
    "it": 7024705997,
    "it_CH": 36137157,
    "iu": 4523292,
    "ja": 11972902534,
    "ja_KS": 0,
    "jam": 266814150,
    "jbo": 0,
    "jgo": 9433300,
    "jmc": 43329072,
    "jpr": 0,
    "jrb": 0,
    "jv": 9118066520,
    "ka": 354364534,
    "kaa": 48904640,
    "kab": 335188620,
    "kac": 96203170,
    "kaj": 44945880,
    "kam": 406812040,
    "kaw": 0,
    "kbd": 107087295,
    "kcg": 19904604,
    "kde": 146382000,
    "kea": 53076205,
    "kg": 152670000,
    "kha": 106087200,
    "kho": 0,
    "ki": 909974300,
    "kj": 92052450,
    "kk": 1221939012,
    "kk_Latn": 0,
    "kkj": 14982300,
    "kl": 5544073,
    "km": 1506503000,
    "kmb": 813057500,
    "kmr": 0,
    "kmr_Latn": 0,
    "kn": 4906533000,
    "ko": 7835704721,
    "kok": 490653300,
    "kos": 799000,
    "kpe": 118630320,
    "kr": 0,
    "krc": 24092740,
    "krl": 11621204,
    "kru": 251957100,
    "ks": 559808469,
    "ksb": 99539760,
    "ksh": 24047910,
    "ku": 677377382,
    "kum": 28344400,
    "kut": 0,
    "kv": 25509960,
    "kw": 197283,
    "ky": 286315200,
    "la": 82000,
    "lad": 11278124,
    "lag": 50940936,
    "lam": 0,
    "lb": 42101527,
    "lez": 25509960,
    "lfn": 0,
    "lg": 562289000,
    "li": 95042200,
    "lki": 64541708,
    "lkt": 831597,
    "ln": 351449115,
    "lo": 513870600,
    "lol": 62085800,
    "loz": 104559600,
    "lrc": 202051277,
    "lt": 248861708,
    "ltg": 16742947,
    "lu": 234093999,
    "lua": 977088000,
    "lui": 0,
    "lun": 0,
    "luo": 524573420,
    "lus": 0,
    "luz": 101907960,
    "lv": 114755030,
    "lzh": 0,
    "mad": 1682263800,
    "mag": 1591308000,
    "mai": 1924914900,
    "mak": 194928980,
    "man": 63046000,
    "mas": 173473840,
    "mdf": 29761620,
    "mdr": 24566392,
    "men": 181308294,
    "mfe": 124143300,
    "mg": 2426013000,
    "mga": 0,
    "mgo": 13040150,
    "mh": 5687941,
    "mhr": 0,
    "mi": 13791344,
    "mia": 0,
    "mic": 791576,
    "min": 801078000,
    "mjw": 0,
    "mk": 160856402,
    "ml": 4325748490,
    "mn": 294839373,
    "mnc": 0,
    "mni": 147659061,
    "mnk": 0,
    "mnw": 96611308,
    "moh": 177162,
    "mos": 833416000,
    "mr": 9282630000,
    "mrh": 0,
    "ms": 3486927594,
    "ms_Arab": 322803058,
    "mt": 45726700,
    "mus": 399166,
    "mwl": 0,
    "mwr": 1591308000,
    "my": 3655923110,
    "my@Zawgyi": 0,
    "myv": 43933820,
    "na": 693000,
    "nah": 0,
    "nan": 2648638000,
    "nap": 60530619,
    "naq": 28930770,
    "nb_NO": 546744000,
    "nd": 174555600,
    "nds": 1152000800,
    "ne": 2090337406,
    "new": 100082070,
    "ng": 55231470,
    "nia": 0,
    "niu": 112000,
    "nl": 3176564516,
    "nl_BE": 644638500,
    "nn": 136686000,
    "nnh": 38843000,
    "nog": 0,
    "non": 0,
    "nqo": 62637000,
    "nr": 90341760,
    "nso": 530757840,
    "nv": 16631950,
    "nwc": 0,
    "ny": 1702678090,
    "nym": 193224240,
    "nyn": 272493900,
    "nyo": 0,
    "nzi": 29340200,
    "oc": 204039756,
    "oj": 2374728,
    "om": 3489712095,
    "or": 4243488000,
    "os": 54144440,
    "osa": 0,
    "ota": 0,
    "otk": 0,
    "pa": 4012050999,
    "pa_PK": 0,
    "pag": 152853400,
    "pal": 0,
    "pam": 251116299,
    "pap": 21164053,
    "pau": 1604690,
    "pbb": 0,
    "peo": 0,
    "phn": 0,
    "pi": 0,
    "pl": 4107739899,
    "pms": 617786,
    "pon": 2356028,
    "prg": 3828,
    "pro": 0,
    "ps": 5354264160,
    "pt": 23749688333,
    "pt_AO": 2178994100,
    "pt_BR": 19266156000,
    "pt_PT": 989059200,
    "qdt": 0,
    "qtp": 0,
    "qu": 1138585100,
    "qu_EC": 287383300,
    "quc": 120073100,
    "raj": 132609000,
    "rap": 0,
    "rar": 0,
    "rcf": 55918464,
    "rm": 4201995,
    "rn": 747545400,
    "ro": 2218740759,
    "ro_MD": 211963500,
    "rof": 43329072,
    "rom": 0,
    "ru": 19584115118,
    "ru_UA": 2020453400,
    "rue": 52707480,
    "rup": 0,
    "rw": 1108362500,
    "rwk": 12881616,
    "sa": 1591307,
    "sad": 0,
    "sah": 45351040,
    "sai": 0,
    "sam": 0,
    "saq": 24622834,
    "sas": 259015220,
    "sat": 729349500,
    "sc": 106084590,
    "scn": 51170214,
    "sco": 164402750,
    "sd": 3847298400,
    "sdh": 314216210,
    "se": 5152962,
    "seh": 138451720,
    "sel": 0,
    "ses": 66481560,
    "sg": 293552140,
    "sga": 0,
    "sgn": 0,
    "shi": 309386790,
    "shn": 368798470,
    "si": 1556465600,
    "sid": 378395500,
    "sk": 668026964,
    "sl": 197317978,
    "sm": 25271663,
    "sma": 29587,
    "smi": 0,
    "smj": 153037,
    "sml": 0,
    "smn": 61288,
    "sms": 61288,
    "sn": 1178250300,
    "snk": 115365060,
    "so": 1691164487,
    "sog": 0,
    "son": 0,
    "sq": 679190641,
    "sr": 751681872,
    "sr@ijekavian": 0,
    "sr@ijekavian_Latn": 0,
    "sr_Cyrl": 0,
    "sr_Latn": 808559345,
    "srn": 41450692,
    "srr": 173100400,
    "ss": 221237952,
    "ssy": 21892320,
    "st": 639056780,
    "su": 3204312000,
    "suk": 509409359,
    "sus": 137801400,
    "sux": 0,
    "sv": 1293287110,
    "sw": 17161029631,
    "sw_CD": 5089000000,
    "sw_TZ": 5269752000,
    "syc": 0,
    "syr": 21065815,
    "szl": 49766990,
    "ta": 8561615920,
    "ta_LK": 343338000,
    "te": 9547848000,
    "tem": 172248180,
    "teo": 208297346,
    "ter": 0,
    "tet": 81639480,
    "tg": 887367000,
    "th": 5518192000,
    "ti": 1014591057,
    "tig": 109461600,
    "tiv": 342444800,
    "tk": 687083800,
    "tkl": 128466,
    "tl": 0,
    "tlh": 0,
    "tlh-qaak": 0,
    "tli": 0,
    "tmh": 177696540,
    "tn": 611342805,
    "to": 10079025,
    "tog": 20772668,
    "tok": 0,
    "tpi": 515421660,
    "tr": 8036070514,
    "trv": 472060,
    "ts": 488093236,
    "tsi": 0,
    "tsj": 11734770,
    "tt": 198410800,
    "tt@iqtelif": 0,
    "tum": 178051440,
    "tvl": 986754,
    "tw": 0,
    "ty": 9148751,
    "tyv": 18423860,
    "tzj": 0,
    "tzl": 0,
    "tzm": 348504660,
    "udm": 53854360,
    "ug": 767011479,
    "uga": 0,
    "uk": 2934897557,
    "umb": 943146700,
    "und": 32300,
    "ur": 29079029090,
    "ur_IN": 6630450000,
    "ur_PK": 22182595000,
    "uz": 2648013512,
    "uz_Latn": 0,
    "vai": 13190580,
    "ve": 139175912,
    "vec": 138082962,
    "vi": 8622296179,
    "vls": 117207000,
    "vo": 0,
    "vot": 0,
    "vun": 43329072,
    "wa": 67980060,
    "wae": 1137630,
    "wal": 194603400,
    "war": 316692749,
    "was": 0,
    "wen": 0,
    "wep": 0,
    "wo": 1102549370,
    "xal": 0,
    "xh": 1018294436,
    "xog": 229240900,
    "yao": 72235680,
    "yap": 655590,
    "yi": 99721393,
    "yo": 2868556820,
    "yue": 716571870,
    "za": 432146200,
    "zap": 0,
    "zbl": 0,
    "zen": 0,
    "zgh": 782357400,
    "zh_Hans": 126606635982,
    "zh_Hans_SG": 478143820,
    "zh_Hant": 3861255636,
    "zh_Hant_HK": 688741450,
    "zh_Latn": 0,
    "zu": 1397382951,
    "zun": 0,
    "zza": 114824500,
}
